<?php
$target_dir = "uploads/";

if ($_SERVER['REQUEST_METHOD'] == "POST" && isset($_POST["submit"]) && sha1($_POST["heslo"]) === "5cfce6e9a82aa4cd75657d76ce21111624f20f3f") {
    $target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
    $uploadOk = 1;

    // Check if file already exists
    if (file_exists($target_file)) {
        echo "Sorry, file already exists.";
        $uploadOk = 0;
    }

    // Check file size
    if ($_FILES["fileToUpload"]["size"] > 500000) {
        echo "Sorry, your file is too large.";
        $uploadOk = 0;
    }

    // Check if $uploadOk is set to 0 by an error
    if ($uploadOk == 0) {
        echo "Sorry, your file was not uploaded.";
        // if everything is ok, try to upload file
    } else {
        if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
            echo  "The file " . htmlspecialchars(basename($_FILES["fileToUpload"]["name"])) . " has been uploaded.";
            header("Location: https://slovania.adlerka.top/index.php?dano");
        } else {
            echo "Sorry, there was an error uploading your file.";
        }
    }
} else {

    $skeleton = file_get_contents('templates/skeleton.html');

    $menu_obsah = file_get_contents('templates/header.html');
    $out = str_replace('__TEMPLATE_HEADER__', $menu_obsah, $skeleton);

    $footer_obsah = file_get_contents('templates/footer.html');
    $out = str_replace('__TEMPLATE_FOOTER__', $footer_obsah, $out);

    $nazov_stranky = basename($_SERVER['QUERY_STRING']);
    if (empty($nazov_stranky)) {
        $nazov_stranky = 'index';
    }
    if (!empty($_GET["listfiles"])) {
        $files = scandir($target_dir);
        $out = "<tr><th>Názov súboru</th><th>Download</th></tr>";
        foreach ($files as $file) {
            if (!str_starts_with($file, '.')) {
                $filename = $file;
                $displayname = explode('.', $filename)[0];
                $filepath = "/uploads/$file";
                $out .= "<tr><td>$displayname</td><td><a href='$filepath' download>$filename</a></td></tr>";
            }
        }
    } else {

        $cesta_k_stranke = "stranky/$nazov_stranky.html";
        if (!file_exists($cesta_k_stranke)) {
            $cesta_k_stranke = "templates/404.html";
        }
        $stranka_obsah = file_get_contents($cesta_k_stranke);
        $out = str_replace('__TEMPLATE_STRANKA__', $stranka_obsah, $out);

        $cesta_k_skriptu = "scripty/$nazov_stranky.js";
        $script_obsah = "<script defer src=\"$cesta_k_skriptu\"></script>";
        if (!file_exists($cesta_k_skriptu)) {
            $script_obsah = '';
        }
        $out = str_replace('__TEMPLATE_SCRIPT__', $script_obsah, $out);

        $cesta_k_stylu = "styles/$nazov_stranky.css";
        $style_obsah = "<link rel=\"stylesheet\" href=\"$cesta_k_stylu\">";
        if (!file_exists($cesta_k_stylu)) {
            $style_obsah = '';
        }
        $out = str_replace('__TEMPLATE_STYLE__', $style_obsah, $out);
    }
    echo $out;
}
